class Charline_3 extends Sketch
{
  // Taille de la grille
  // Nombre d'éléments sur la largeur
  int NX = 6;
  // Nombre d'éléments sur la hauteur
  int NY = 6;


  Charline_3(AudioInput audioInput) {
    in=audioInput;
    introName = "Charline\nKaleidoscope";
  }  

  void data()
  {
  }

  void setup()
  {
    super.setup();
    smooth();
    rectMode(CENTER);
    randomSeed(1000);
    background(255);
  }

  void draw()
  {
    // Tailles d'une case
    float largeurCase = (float) width  / (float)NX;
    float hauteurCase = (float) height / (float)NY;

    // Parcours de toutes les cases sur l'écran
    // pour y dessiner dedans
    int i,j;
    for (i=-1;i<=NX;i++)
      for (j=-1;j<=NY;j++)
      {
        pushMatrix();
        // On se positionne au niveau de la case
        translate(i*largeurCase,j*hauteurCase);
        // On de dessine la case
        motif(i,j,largeurCase,hauteurCase);    
        popMatrix();
      }
  }

  void motif(int i, int j, float largeurCase, float hauteurCase)
  {
    float x = map(smouseX,0,width,0,largeurCase);
    float y = map(smouseY,0,height,0,hauteurCase);

    // Dessin du motif ici
    translate(largeurCase/2,hauteurCase/2);
    for(int m=0;m<10;m=m+1)
    {
      stroke(0);
      rotate(radians(36));//degrees(PI/4)=>45
      fill(0,random(100,150),0,40);
      rect(x,y,20,20);
    }
  }
}

