class Charline_4 extends Sketch
{
  // Taille de la grille
  // Nombre d'éléments sur la largeur
  int NX = 3;
  // Nombre d'éléments sur la hauteur
  int NY = 3;

  Charline_4(AudioInput audioInput) {
    in=audioInput;

    introName = "Charline\nTraceur";
  }  

  void data()
  {
  }

  void setup()
  {
    super.setup();
    // Autres initialisations pour la durée de vie du programme
    smooth();
    rectMode(CENTER);
    randomSeed(1000);
    background(255);
  }

  void draw()
  {
    // Tailles d'une case
    float largeurCase = (float) width  / (float)NX;
    float hauteurCase = (float) height / (float)NY;

    // Parcours de toutes les cases sur l'écran
    // pour y dessiner dedans
    int i,j;
    for (i=-1;i<=NX;i++)
      for (j=-1;j<=NY;j++)
      {
        pushMatrix();
        // On se positionne au niveau de la case
        translate(i*largeurCase,j*hauteurCase);
        // On de dessine la case
        motif(i,j,largeurCase,hauteurCase);    
        popMatrix();
      }
  }

  void motif(int i, int j, float largeurCase, float hauteurCase)
  {
    // Dessin du motif ici
    float x = map(smouseX,0,width,0,2*largeurCase);
    float y = map(smouseY,0,height,0,2*hauteurCase);

    float px = map(psmouseX,0,width,0,2*largeurCase);
    float py = map(psmouseY,0,height,0,2*hauteurCase);

    float d = 0.25*dist(psmouseX,psmouseY,smouseX,smouseY);



    stroke(0);
    line(px,py,x,y);
    noStroke();
    fill(0,100);
    ellipse(x,y,d,d);
  }

}

