class Charlotte_1 extends Sketch {
  AudioInput in;
  PFont maFont;
  String monTexte="";
  float h;
  int NX = 8;
  int NY = 8;
  float distance;

  Charlotte_1(AudioInput audioInput) 
  {
    in=audioInput;
   introName = "Charlotte";
  }  
  
  void data()
  {
    maFont=loadFont("charlotte_1/BitstreamVeraSerif-Roman-30.vlw");
  }
  
  void setup() {
    super.setup();
    background(255);

    smooth();
    textFont(maFont,10);
  }

  void draw() {
    colorMode(HSB,360,100,100);
    background(255);
    h=map(distance,50,100,23,50);
    distance=dist(smouseX, smouseY, psmouseX, psmouseY);
    noStroke();
    line(smouseX,smouseY,psmouseX, psmouseY);
    ellipse(smouseX, smouseY, 20, 20);
    distance=dist(smouseX,smouseY,psmouseX,psmouseY);
    fill(303,h,95);

    // Couleur du fond
    float h = map(smouseX,200,width,20,80);
    background(257,92,h);
    noFill();

    // Tailles d'une case
    float largeurCase = (float) width  / (float)NX;
    float hauteurCase = (float) height / (float)NY;

    // Parcours de toutes les cases sur l'écran
    // pour y dessiner dedans
    int i,j;
    for (i=-1;i<=NX;i++)
      for (j=-1;j<=NY;j++)
      {
        pushMatrix();
        // On se positionne au niveau de la case
        translate(i*largeurCase,j*hauteurCase);
        // On de dessine la case
        motif(i,j,largeurCase,hauteurCase);  
        popMatrix();
      }
  }


  void motif(int i,int j, float largeurCase, float hauteurCase)

  {
    float positionCaseX = i*largeurCase + largeurCase/2;
    float positionCaseY = j*hauteurCase + hauteurCase/2;
    float distanceSourisCase = dist(smouseX,smouseY,positionCaseX,positionCaseY);

    float dx = smouseX - (i*largeurCase+largeurCase/2);
    float dy = smouseY - (j*hauteurCase+hauteurCase/2);
    float angle = atan2(dy,dx);

    float diagonale = dist(width,height,width/2,height/2);
    float d =  dist(smouseX,smouseY,width/2,height/2)/diagonale;

    translate(largeurCase/2, hauteurCase/2);

    noFill();

    pushMatrix();

    translate(largeurCase/2,hauteurCase/2);
    rotate(angle);
    noStroke();



    fill(0);
    ellipse(largeurCase, hauteurCase,3,3);
    fill(0);
    stroke(0);

    fill(distanceSourisCase*0.5+10,500,100);

    text("première",smouseX,smouseY);
    text("d'hiver",largeurCase/2,hauteurCase/2);
    text("averse",largeurCase/4,hauteurCase/4);
    popMatrix();
  }
}

