class Melaine_1 extends Sketch {


  PFont maFonte;

  int nb=100;

  float distance;
  float h;
  float xTrebuche;
  float yTrebuche;
  float largeurTrebuche;
  float xSilence,ySilence;
  String t = "où trébuche la mer";
  boolean  faisTomberSilence = false;

  float[] xBulle;
  float[] yBulle;
  float[] vyBulle; // vitess en y (vertical)

  Melaine_1(AudioInput audioInput) {
    in=audioInput;
    introName = "Mélaine";
  }  
  
  void data()
  {
    maFonte= loadFont("melaine_1/PalatinoLinotype-Italic-20.vlw");
  }
  
  void setup()
  {
    super.setup();
    smooth();
    textFont (maFonte);
    largeurTrebuche = textWidth(t);
    xSilence = width/2;
    ySilence = height/2;

    xBulle = new float[nb];
    yBulle = new float[nb];
    vyBulle = new float[nb];

    for (int i=0;i<nb;i++)
    {
      xBulle[i] = random(width);
      yBulle[i] = random(height);
      vyBulle[i] = -random(5)-1;
    }
  }

  void draw()
  {


    xTrebuche = smouseX/2 + largeurTrebuche;
    if (faisTomberSilence == false)
    {
      if (xTrebuche>=xSilence)
      {
        faisTomberSilence = true;
      }
    }

    if (faisTomberSilence)
    {
      ySilence = ySilence + 15;
      stroke(0);
      text("un silence",xSilence,ySilence);
    }
    if (ySilence>height+60)
    {
      faisTomberSilence = false;
      ySilence = height/2;
    }


    colorMode(HSB,360,100,100);

    float h=map(smouseX,200,width,0,50);
    background(226,h,21);
    fill(220,h,200);
    text("Nous habitons",smouseX,250);
    text("un silence",xSilence,ySilence);
    text(t,smouseX/2,height/2);

    for(int i=0; i<nb; i=i+1)
    {
      noStroke();
      fill(226, abs(vyBulle[i])*60);
      ellipse(xBulle[i],yBulle[i],3,3);

      yBulle[i] = yBulle[i] + vyBulle[i];
      if (yBulle[i]<=0)
      {
        yBulle[i] = height;
      }
    }
  }
}

