class Melaine_2 extends Sketch {


  int NX=12;
  int NY=8;

  int nb=150;
  float distance;

  Melaine_2(AudioInput audioInput) {
    in=audioInput;
    introName = "Mélaine";
  }  


  void setup()
  {
    super.setup();
    smooth();
    rectMode(CENTER);
  }

  void draw()
  {
    background(#FAF55D);
    float largeurCase= (float)width/ (float)NX;
    float hauteurCase= (float)height/ (float)NY;

    int i,j;

    for (i=-1;i<=NX;i++)
      for(j=-1;j<=NY;j++)
      {
        pushMatrix();
        translate(i*largeurCase, j*hauteurCase);
        motif(i,j,largeurCase,hauteurCase);
        popMatrix();
      }

    distance=dist (smouseX,smouseY,psmouseX,psmouseY);
    noStroke();
    arc (smouseX,smouseY,nb,nb,radians(10),radians(360-50));
    fill (255);
  }

  void motif(int i, int j, float largeurCase, float hauteurCase)

  {

    float dx=smouseX-(i*largeurCase+largeurCase/2);
    float dy=smouseY-(i*largeurCase+largeurCase/2);
    float angle = atan2(dy,dx);
    float diagonale = dist(width,height,width/2,height/2);
    float d =  dist(smouseX,smouseY,width/2,height/2)/diagonale;
    pushMatrix();


    translate(largeurCase/2,hauteurCase/2);
    rotate(angle);
    arc (d*largeurCase,d*hauteurCase,largeurCase,hauteurCase,radians(10),radians(360-50));

    popMatrix(); 

    rectMode(CORNER);

    translate (largeurCase/2, hauteurCase/2); 

    for (int m=0; m<100;m=m+1)
    {
      rotate(radians(10));
      stroke(#111FAD,200);
      line (0, 0, 25,25);
    }
    stroke (200,0,0);
  }
}

