class Virginie_1 extends Sketch
{
  // Taille de la grille
  // Nombre d'éléments sur la largeur
  int NX = 5;
  // Nombre d'éléments sur la hauteur
  int NY = 5;

  float angle;
  PShape bot;


  Virginie_1(AudioInput audioInput) {
    in=audioInput;
    introName = "Virginie";
  }  

  void data()
  {
    bot = loadShape("virginie_1/motif.svg");
  }

  void setup()
  {
    super.setup();
    smooth();
    rectMode(CENTER);
    randomSeed(1000);
  }

  void draw()
  {
    // Couleur du fond
    background(135);

    // Tailles d'une case
    float largeurCase = (float) width  / (float)NX;
    float hauteurCase = (float) height / (float)NY;

    // Parcours de toutes les cases sur l'écran
    // pour y dessiner dedans
    int i,j;
    for (i=-1;i<=NX;i++)
      for (j=-1;j<=NY;j++)
      {
        pushMatrix();
        // On se positionne au niveau de la case
        translate(i*largeurCase,j*hauteurCase);
        // On de dessine la case
        motif(i,j,largeurCase,hauteurCase);    
        popMatrix();
      }
  }




  void motif(int i, int j, float largeurCase, float hauteurCase)
  {
    // Dessin du motif ici
    //rect(0,0,largeurCase*2,hauteurCase*2);

    for(int k=0; k<10; k=k+1)
    {
      /*float dx = smouseX - (i*largeurCase+largeurCase/2);
       float dy = smouseY - (j*hauteurCase+hauteurCase/2);
       float angle = atan2(dy,dx);*/

      rotate(radians(angle));
      angle = map(smouseX,0,height,0,100);
      shape(bot,0,0,100,100);
    }
  }
}

